Subject: Re: linux-next: manual merge of the i2c tree with the arm-current tree

From: Jean Delvare <[email-masked]>
Date: Wed, 6 May 2009 09:25:59 +0200

Hi Russell,

On Wed, 6 May 2009 08:15:48 +0100, Russell King wrote:
> Since defconfig updates are always going to create lots of noise, and
> the files are normally out of date, the *only* sensible way to handle
> updates is to have one tree dealing with them per architecture.
> 
> Spreading them across multiple trees and then expecting merges to sort
> out the resulting mess is unreasonable; they just change far too much
> when updates happen.  Moreover, defconfig updates should be in their
> own separate commit and not combined with other changes.

I fail to see how you can handle configuration option renames
gracefully with your proposed model.

-- 
Jean Delvare